- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 06cf96d5-74c9-42c5-ae8a-f9befd063cd5
    creation_time: 2023-02-17T13:35:04.630500Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invariants/mod4.c
      input_file_hashes:
        c/loop-invariants/mod4.c: 78a0c24aec4481c7f7921f4597a2470b78929a6691a425a752074aa853d4d524
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invariants/mod4.c
    file_hash: 78a0c24aec4481c7f7921f4597a2470b78929a6691a425a752074aa853d4d524
    line: 14
    column: 0
    function: main
  loop_invariant:
    string: x % 4 == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: c9504a8d-c987-4b2b-9fc4-8db58ad7c6b3
    creation_time: 2023-02-17T13:35:04.630904Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invariants/mod4.c
      input_file_hashes:
        c/loop-invariants/mod4.c: 78a0c24aec4481c7f7921f4597a2470b78929a6691a425a752074aa853d4d524
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invariants/mod4.c
    file_hash: 78a0c24aec4481c7f7921f4597a2470b78929a6691a425a752074aa853d4d524
    line: 17
    column: 0
    function: main
  location_invariant:
    string: x % 4 == 0
    type: assertion
    format: C

